
# Live-GPIO

Live-GPIO는 Raspberry Pi의 GPIO 핀을 실시간으로 모니터링하고 제어할 수 있는 웹 애플리케이션입니다. Flask와 Socket.IO를 사용하여 실시간 데이터 전송을 구현했으며, pigpio 라이브러리를 활용하여 GPIO 핀의 상태를 직접 읽고 제어합니다.

## 주요 기능

- **실시간 GPIO 핀 상태 모니터링**: GPIO 핀의 입력과 출력 상태를 실시간으로 확인할 수 있습니다.
- **핀 즐겨찾기**: 자주 사용하는 핀을 즐겨찾기에 추가하여 별도의 페이지에서 상태를 쉽게 모니터링할 수 있습니다.
- **메모 기능**: 각 핀에 대한 메모를 추가하여 핀의 용도를 기록할 수 있습니다.
- **AI 어시스턴트**: GPT 모델과의 채팅 기능을 통해 GPIO 관련 질문을 하거나 핀 메모를 참고하여 정보를 제공받을 수 있습니다.

## 설치 방법


1. `live-gpio` 패키지를 설치합니다.
   ```bash
   pip install live-gpio
   ```

2. 설치 후, 애플리케이션을 실행합니다.
   ```bash
   live-gpio
   ```

## 사용 방법

### 1. GPIO 핀 상태 모니터링

애플리케이션을 실행하면, 웹 인터페이스를 통해 모든 GPIO 핀의 상태를 확인할 수 있습니다. 각 핀은 **입력** 또는 **출력** 상태로 표시되며, 핀의 전압 상태도 실시간으로 업데이트됩니다.

### 2. 즐겨찾기 기능

- 핀 옆의 즐겨찾기 버튼(★)을 클릭하여 자주 사용하는 핀을 즐겨찾기에 추가할 수 있습니다.
- 즐겨찾기에 추가된 핀은 별도의 즐겨찾기 페이지에서 한눈에 모니터링할 수 있습니다.

### 3. 메모 기능

- 각 핀에는 메모를 추가하여 용도나 관련 정보를 기록할 수 있습니다.
- 메모는 브라우저의 로컬 스토리지에 저장되며, 핀별로 별도의 메모를 관리할 수 있습니다.

### 4. AI 어시스턴트 기능

- 화면 우측 하단의 채팅 아이콘을 클릭하여 AI 어시스턴트를 실행할 수 있습니다.
- OpenAI API 키를 입력한 후 GPT 모델과 GPIO 관련 질문을 할 수 있으며, 저장된 핀 메모도 참고하여 AI가 응답합니다.

## 요구 사항

- **Raspberry Pi** (pigpio가 설치된 환경 필요)
- Python 3.7 이상
- Flask, Flask-SocketIO, pigpio 라이브러리

---

Live-GPIO를 통해 GPIO 핀의 모니터링을 간편하게 수행해보세요!
